<!--
 Query client
 QueryClient.php
 Displays the list of subscribers to an archive.
 Requires Pear SOAP.
 Version 0.0.4
 Copyright (c) 2001-2002 Alexis Grandemange
 Mail: alexis.grandemange@pagebox.net
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; version
 2.1 of the License.
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU Lesser General Public License for more details.
 A copy of the GNU Lesser General Public License lesser.txt should be
 included in the distribution.
 -->
<head>
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="PHP Pagebox Query">
<meta name="keywords" content="Query, PHP, Pagebox">
<link rel="stylesheet" href="pagebox.css" type="text/css">
<title>PHP Query</title>
</head>
<body>
<?php
include("pagebox.inc");
include_once('SOAP/Client.php');
$url = $HTTP_SERVER_VARS["REQUEST_URI"];
$pos = strrpos($url, "?");
if ($pos !== false)
    $url = substr($url, 0, $pos);
$url = str_replace("QueryClient.php", "Query.php", $url);
$deployURL = $url;
$begin = substr($url, 0, 7);
if ($begin == "http://")
    $deployURL = substr($url, 7);
else {
    $url = "http://" . $HTTP_SERVER_VARS["HTTP_HOST"] . $url;
    $deployURL = $HTTP_SERVER_VARS["HTTP_HOST"] . $deployURL;
}
$deployURL = str_replace("Query.php", "update.php", $deployURL);
/**
 * Request analysis
 * Expects: QueryClient.php?archive=...
 */
$ra = NULL;
if (key_exists("archive", $HTTP_GET_VARS)) {
    $archive = $HTTP_GET_VARS["archive"];
    if (!pblog("QueryClient(" . $archive . ", " . $deployURL . ") invoked"))
        echo '<strong><font color="red">Unable to write on log.html</font></strong>';
    $soapclient = new SOAP_Client($url);
    $ra = $soapclient->call("GetSubscribers", array("archive"=>$archive,
        "deployURL"=>$deployURL), 'urn:PageBox');
}
?>
<table width="100%"><tr>
<td align="left" width="8%">
<a href="http://pagebox.net/php/php-index.html" style="text-decoration:none;background:white;color:white">
<img src="logo.gif" alt="PHP Pagebox update" border="0"></a></td>
<td align="left"><h1>Query</h1></td>
<td>Query: <?= $url ?><br/>URL: <?= $deployURL ?></td>
<td align="right"><a href="log.php" alt="PageBox log">Log</a></td>
<td align="right"><a href="environment.php" alt="PHP environment">Environment</a></td>
<td align="right"><a href="mailto:support@pagebox.net">
<img src="mail.gif" alt="support@pagebox.net" border="0"></a></td></tr></table>
<form method="get" action="QueryClient.php">
<table width="600px"><tr><td width="30%" align="left">Archive name</td>
<td width="50%"><input type="text" size="40" name="archive"/></td>
<td width="20%" align="center"><input type="submit" name="Query" value="Query"/></td></tr>
</table></form>
<?php
if ($ra != NULL) {
?>
<table width="100%">
<tr><th>Subscribers</th></tr>
<?php
    foreach($ra as $item) {
?>
<tr><td width="100%"><?= $item ?></td></tr>
<?php
    }
?>
</table>
<?php   
}
?>
<p class="timestamp"><?= $status ?></p>
<p align="center">&#169;2002 Alexis Grandemange.
<font class="timestamp">Last modified
<script>document.write(document.lastModified);</script>.
</font></p>
</body>
</html>